%define url_ver %(echo %{version} | cut -d. -f1,2)

# exclude plugins .so from provides
%define __provides_exclude_from %{_libdir}/tumbler-1/plugins/.*\\.so

%define major		0
%define api		1
%define libname		%mklibname %{name} %{api} %{major}
%define develname	%mklibname %{name} -d

Summary: 	A thumbnail D-Bus service
Name: 		tumbler
Version: 	4.18.2
Release: 	%mkrel 1
License:	GPLv2+
Group: 		Graphical desktop/XFCE
URL:		https://docs.xfce.org/xfce/thunar/tumbler
Source0: 	https://archive.xfce.org/src/xfce/tumbler/%{url_ver}/%{name}-%{version}.tar.xz

BuildRequires:	intltool
BuildRequires:	xfce4-dev-tools
BuildRequires:	jpeg-devel
BuildRequires:	pkgconfig(dbus-glib-1)
BuildRequires:	pkgconfig(freetype2)
BuildRequires:	pkgconfig(gdk-pixbuf-2.0)
BuildRequires:	pkgconfig(gstreamer-1.0)
BuildRequires:	pkgconfig(gstreamer-tag-1.0)
BuildRequires:	pkgconfig(libcurl)
BuildRequires:	pkgconfig(libffmpegthumbnailer)
BuildRequires:	pkgconfig(libgepub-0.6)
BuildRequires:	pkgconfig(libgsf-1)
BuildRequires:	pkgconfig(libopenraw-gnome-0.1)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(poppler-glib)
Obsoletes: %{name}-doc

%description
Tumbler is a D-Bus service for applications to request thumbnails for
various URI schemes and MIME types. It is an implementation of the
thumbnail management D-Bus specification.

%package -n %{libname}
Summary:	A D-bus thumbnailing framework
Group:		Graphical desktop/XFCE
Requires:   %{name}

%description -n %{libname}
Tumbler is a D-Bus service for applications to request thumbnails for
various URI schemes and MIME types.

%package -n %{develname}
Summary:	Development files for %{name}
Group:		Graphical desktop/XFCE
Requires:	%{libname} = %{version}-%{release}
Obsoletes:	%{name}-devel
Provides:	%{name}-devel = %{version}-%{release}
Requires:   %{name}

%description -n %{develname}
Development files and headers for %{name}.


%prep
%setup -q
%autopatch -p1

%build
%xdt_autogen
%configure2_5x --disable-static
%make_build

%install
rm -rf %buildroot
%make_install

#we don't want these
find %{buildroot} -name "*.la" -delete
rm -rf %buildroot/%{_datadir}/gtk-doc
rm -rf %buildroot/usr/lib/systemd/user/tumblerd.service

%find_lang %{name}

%files -f %{name}.lang
%dir %{_sysconfdir}/xdg/tumbler/
%{_sysconfdir}/xdg/tumbler/tumbler.rc
%{_libdir}/tumbler-1/%{name}d
%dir %{_libdir}/tumbler-1/plugins/
%dir %{_libdir}/tumbler-1/plugins/cache/
%{_libdir}/tumbler-1/plugins/cache/tumbler-cache-plugin.so
%{_libdir}/tumbler-1/plugins/cache/tumbler-xdg-cache.so
%{_libdir}/tumbler-1/plugins/tumbler-cover-thumbnailer.so
%{_libdir}/tumbler-1/plugins/tumbler-desktop-thumbnailer.so
%{_libdir}/tumbler-1/plugins/tumbler-gepub-thumbnailer.so
%{_libdir}/tumbler-1/plugins/tumbler-gst-thumbnailer.so
%{_libdir}/tumbler-1/plugins/tumbler-ffmpeg-thumbnailer.so
%{_libdir}/tumbler-1/plugins/tumbler-font-thumbnailer.so
%{_libdir}/tumbler-1/plugins/tumbler-jpeg-thumbnailer.so
%{_libdir}/tumbler-1/plugins/tumbler-odf-thumbnailer.so
%{_libdir}/tumbler-1/plugins/tumbler-pixbuf-thumbnailer.so
%{_libdir}/tumbler-1/plugins/tumbler-poppler-thumbnailer.so
%{_libdir}/tumbler-1/plugins/tumbler-raw-thumbnailer.so
%{_datadir}/dbus-1/services/*.service
%{_iconsdir}/hicolor/*/apps/org.xfce.tumbler.*

%files -n %{libname}
%{_libdir}/*%{name}-%{api}.so.%{major}*

%files -n %{develname}
%{_libdir}/*%{name}-%{api}.so
%{_includedir}/%{name}-%{api}/
%{_libdir}/pkgconfig/%{name}-%{api}.pc


%changelog
* Sat Dec 02 2023 tex - 4.18.2-1pclos2023
- new version

* Sat Dec 02 2023 tex - 4.18.1-2pclos2023
- rebuild against updates

* Mon Apr 17 2023 tex - 4.18.1-1pclos2023
- new version

* Thu Dec 15 2022 tex - 4.18.0-1pclos2022
- new version

* Wed Dec 14 2022 tex - 4.17.3-1pclos2022
- prepare for 4.18

* Wed Dec 23 2020 tex - 4.16.0-1pclos2020
- new version
